tzselect(8)

NOMBRE
tzselect - selecciona un huso horario

SINOPSIS
tzselect [ -c coord ] [ -n limit ] [ --help ] [ --version ]

DESCRIPCIÓN
El programa tzselect pide al usuario información sobre la localización actual y muestra en la salida estándar la descripción de huso horario resultante. La salida es adecuada como valor para la variable de entorno TZ.

Toda la interacción con el usuario se realiza mediante la entrada estándar y la salida de error estándar.

OPCIONES

-c coord
    En lugar de preguntar el continente, luego el país y finalmente la ciudad, se pide que seleccione la zona horaria que más se aproxime al punto definido mediante las coordenadas coord. Emplee el formato ISO 6709 para coord: primero la latitud y a continuación la longitud. Ambas magnitudes deben ser números enteros positivos o negativos, también pueden incluir decimales separados por un punto. Los números positivos representan el norte y el este y los negativos el sur y el oeste. Las latitudes con dos y las longitudes con tres dígitos se consideran como grados, mientras que las latitudes con cuatro o seis y las longitudes con cinco o siete dígitos se consideran minutos. DDMM, DDDMM, DDMMSS, o bien DDDMMSS representa DD o bien DDD grados, MM minutos, y cero o SS segundos. Si contiene algún decimal más se puede considerar una fracción de minuto o, en caso de que tengamos SS, segundos. La separación de los decimales será la del idioma del sistema, por ejemplo: en la configuración por defecto (C locale), -c +40.689-074.045 significa 40.689°N, 74.045°W, -c +4041.4-07402.7 significa 40°41.4′N, 74°2.7′W, y -c +404121-0740240 significa 40°41′21″N, 74°2′40″W. Si el formato de coord no corresponde con el del alguno de estos, el resultado puede no ser el deseado.

-n limit
    Si se usa -c, se muestran las ubicaciones más cercanas (por defecto 10).

--help
    Informa de la versión y finaliza.

--version
    Informa de la versión y finaliza.

VARIABLES DE ENTORNO

AWK Nombre de un programa awk conforme a POSIX (por defecto: awk).

TZDIR
    El nombre de un directorio que contiene los ficheros de datos de los husos horarios (por defecto: /usr/share/zoneinfo).

ARCHIVOS

TZDIR/iso3166.tab
    Tabla con los códigos de país de 2 letras y los nombres de los países según el estándar ISO 3166.

TZDIR/zone1970.tab
    Tabla con los códigos de los países, latitudes, longitudes, husos horarios y comentarios descriptivos.

TZDIR/TZ
    Archivo de datos para el huso horario TZ.

ESTADO DE SALIDA
El estado de salida es cero si se obtuvo con éxito del usuario un huso horario y un valor no cero en caso contrario.

VÉASE TAMBIÉN
newctime(3), tzfile(5), zdump(8), zic(8)

NOTAS
Las aplicaciones no deberían suponer que la información proporcionada por tzselect coindida con sus preferencias políticas.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.